summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Erik Hanson2010-05-11 14:28:19 +0200
committer Robby Workman2010-05-11 14:28:19 +0200
commit75f805546d4d57f3037f68fba137f10ecc70dde5 (patch)
tree447120e4d0bdc4a6afc5a88ec727361a7b66eb28 /games
parent637edc2a2438d9a1832759e225151790276601ea (diff)
downloadslackbuilds-75f805546d4d57f3037f68fba137f10ecc70dde5.tar.gz
games/kobodeluxe: Initial import
Diffstat (limited to 'games')
-rw-r--r--games/kobodeluxe/README6
-rw-r--r--games/kobodeluxe/doinst.sh3
-rw-r--r--games/kobodeluxe/kobodeluxe.SlackBuild67
-rw-r--r--games/kobodeluxe/kobodeluxe.desktop8
-rw-r--r--games/kobodeluxe/kobodeluxe.info8
-rw-r--r--games/kobodeluxe/kobodeluxe.pngbin0 -> 5240 bytes
-rw-r--r--games/kobodeluxe/slack-desc11
7 files changed, 103 insertions, 0 deletions
diff --git a/games/kobodeluxe/README b/games/kobodeluxe/README
new file mode 100644
index 0000000000..c250f907d6
--- /dev/null
+++ b/games/kobodeluxe/README
@@ -0,0 +1,6 @@
+Kobo Deluxe is an enhanced version of Akira Higuchi's game XKobo.
+It adds sound, smoother animation, high resolution support, OpenGL
+acceleration (optional), an intuitive menu driven user interface,
+joystick support and other features. Kobo Deluxe uses SDL for
+graphics, sound and input.
+
diff --git a/games/kobodeluxe/doinst.sh b/games/kobodeluxe/doinst.sh
new file mode 100644
index 0000000000..f2372aa17e
--- /dev/null
+++ b/games/kobodeluxe/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database usr/share/applications &> /dev/null
+fi
diff --git a/games/kobodeluxe/kobodeluxe.SlackBuild b/games/kobodeluxe/kobodeluxe.SlackBuild
new file mode 100644
index 0000000000..1bba28beed
--- /dev/null
+++ b/games/kobodeluxe/kobodeluxe.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for Kobo Deluxe
+# Written by Erik Hanson erik@slackbuilds.org
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=KoboDeluxe
+PKGNAM=kobodeluxe
+VERSION=0.4pre10
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Move the scoredir to /var instead of /usr and create a symlink to where
+# the binary expects it to be. The /var partition will always be writable,
+# but we can't be so sure about the /usr partition
+mkdir -p $PKG/var/games
+mv $PKG/usr/games/kobo-deluxe $PKG/var/games
+( cd $PKG/usr/games ; ln -s ../../var/games/kobo-deluxe kobo-deluxe )
+
+find $PKG | xargs file | egrep "ELF.*executable" | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING COPYING.LIB ChangeLog README* TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PKGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PKGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp -a $CWD/$PKGNAM.png $PKG/usr/share/pixmaps
+cp -a $CWD/$PKGNAM.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PKGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/kobodeluxe/kobodeluxe.desktop b/games/kobodeluxe/kobodeluxe.desktop
new file mode 100644
index 0000000000..1217aa622e
--- /dev/null
+++ b/games/kobodeluxe/kobodeluxe.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Kobo Deluxe
+GenericName=Kobo Deluxe, a retro arcade-style game
+Exec=kobodl
+Icon=/usr/share/pixmaps/kobodeluxe.png
+Type=Application
+Categories=Application;Game;Arcade
diff --git a/games/kobodeluxe/kobodeluxe.info b/games/kobodeluxe/kobodeluxe.info
new file mode 100644
index 0000000000..8452322b79
--- /dev/null
+++ b/games/kobodeluxe/kobodeluxe.info
@@ -0,0 +1,8 @@
+PRGNAM="kobodeluxe"
+VERSION="0.4pre10"
+HOMEPAGE="http://olofson.net/kobodl/"
+DOWNLOAD="http://olofson.net/kobodl/download/KoboDeluxe-0.4pre10.tar.gz"
+MD5SUM="6c075837ae680bf5490c1fc4279dcc8b"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="robw810"
diff --git a/games/kobodeluxe/kobodeluxe.png b/games/kobodeluxe/kobodeluxe.png
new file mode 100644
index 0000000000..617d0216e2
--- /dev/null
+++ b/games/kobodeluxe/kobodeluxe.png
Binary files differ
diff --git a/games/kobodeluxe/slack-desc b/games/kobodeluxe/slack-desc
new file mode 100644
index 0000000000..2d5ff18999
--- /dev/null
+++ b/games/kobodeluxe/slack-desc
@@ -0,0 +1,11 @@
+kobodeluxe: Kobo Deluxe - a retro arcade-style game
+kobodeluxe:
+kobodeluxe: Kobo Deluxe is an enhanced version of Akira Higuchi's game XKobo.
+kobodeluxe: It adds sound, smoother animation, high resolution support, OpenGL
+kobodeluxe: acceleration (optional), an intuitive menu driven user interface,
+kobodeluxe: joystick support and other features. Kobo Deluxe uses SDL for
+kobodeluxe: graphics, sound and input.
+kobodeluxe:
+kobodeluxe: http://olofson.net/kobodl/
+kobodeluxe:
+kobodeluxe: